X DPMS Extension Functions

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Functions
X DPMS Extension Functions
Ecore » Ecore_X - X11 Integration

Functions related to the X DPMS Extension. More...

## Functions
Eina_Bool | ecore_x_dpms_query (void)
| Checks if the DPMS extension is available or not. More...
Eina_Bool | ecore_x_dpms_capable_get (void)
| Checks if the X server is capable of DPMS. More...
Eina_Bool | ecore_x_dpms_enabled_get (void)
| Checks the DPMS state of the display. More...
void | ecore_x_dpms_enabled_set (int enabled)
| Sets the DPMS state of the display. More...
void | ecore_x_dpms_timeouts_get (unsigned int *standby, unsigned int *suspend, unsigned int *off)
| Gets the timeouts. More...
Eina_Bool | ecore_x_dpms_timeouts_set (unsigned int standby, unsigned int suspend, unsigned int off)
| Sets the timeouts. More...
unsigned int | ecore_x_dpms_timeout_standby_get (void)
| Returns the amount of time of inactivity before standby mode is invoked. More...
unsigned int | ecore_x_dpms_timeout_suspend_get (void)
| Returns the amount of time of inactivity before the second level of power saving is invoked. More...
unsigned int | ecore_x_dpms_timeout_off_get (void)
| Returns the amount of time of inactivity before the third and final level of power saving is invoked. More...
void | ecore_x_dpms_timeout_standby_set (unsigned int new_timeout)
| Sets the standby timeout (in unit of seconds). More...
void | ecore_x_dpms_timeout_suspend_set (unsigned int new_timeout)
| Sets the suspend timeout (in unit of seconds). More...
void | ecore_x_dpms_timeout_off_set (unsigned int new_timeout)
| Sets the off timeout (in unit of seconds). More...

## Detailed Description

Functions related to the X DPMS Extension.

Functions related to the X DPMS extension.

## Function Documentation

Eina_Bool ecore_x_dpms_query | ( | void |  | ) |

Checks if the DPMS extension is available or not.

Checks if the X DPMS extension is available on the server.

Returns
  `EINA_TRUE` if the DPMS extension is available, `EINA_FALSE` otherwise.

Return `EINA_TRUE` if the X server supports the DPMS Extension version 1.0, `EINA_FALSE` otherwise.

Returns
  `1` if the X DPMS extension is available, `0` otherwise.

Eina_Bool ecore_x_dpms_capable_get | ( | void |  | ) |

Checks if the X server is capable of DPMS.

Returns
  `1` if the X server is capable of DPMS, `0` otherwise.

References EINA_FALSE, and EINA_TRUE.

Eina_Bool ecore_x_dpms_enabled_get | ( | void |  | ) |

Checks the DPMS state of the display.

Returns
  `EINA_TRUE` if DPMS is enabled, `EINA_FALSE` otherwise.
  `1` if DPMS is enabled, `0` otherwise.

References EINA_FALSE, and EINA_TRUE.

void ecore_x_dpms_enabled_set | ( | int | enabled | ) |

Sets the DPMS state of the display.

Parameters

  enabled | `0` to disable DPMS characteristics of the server, enable it otherwise.

Referenced by ecore_x_screensaver_activate(), and ecore_x_screensaver_reset().

void ecore_x_dpms_timeouts_get | ( | unsigned int * | standby,
|  | unsigned int * | suspend,
|  | unsigned int * | off
| ) |  |

Gets the timeouts.

The values are in unit of seconds.

Parameters

  standby | Amount of time of inactivity before standby mode will be invoked.
  suspend | Amount of time of inactivity before the screen is placed into suspend mode.
  off | Amount of time of inactivity before the monitor is shut off.

Referenced by ecore_x_dpms_timeout_off_get(), ecore_x_dpms_timeout_off_set(), ecore_x_dpms_timeout_standby_get(), ecore_x_dpms_timeout_standby_set(), ecore_x_dpms_timeout_suspend_get(), and ecore_x_dpms_timeout_suspend_set().

Eina_Bool ecore_x_dpms_timeouts_set | ( | unsigned int | standby,
|  | unsigned int | suspend,
|  | unsigned int | off
| ) |  |

Sets the timeouts.

The values are in unit of seconds.

Parameters

  standby | Amount of time of inactivity before standby mode will be invoked.
  suspend | Amount of time of inactivity before the screen is placed into suspend mode.
  off | Amount of time of inactivity before the monitor is shut off.

Returns
  `EINA_TRUE` on success, `EINA_FALSE` on failure.

The values are in unit of seconds.

Parameters

  standby | Amount of time of inactivity before standby mode will be invoked.
  suspend | Amount of time of inactivity before the screen is placed into suspend mode.
  off | Amount of time of inactivity before the monitor is shut off.

References EINA_FALSE, and EINA_TRUE.

Referenced by ecore_x_dpms_timeout_off_set(), ecore_x_dpms_timeout_standby_set(), and ecore_x_dpms_timeout_suspend_set().

unsigned int ecore_x_dpms_timeout_standby_get | ( | void |  | ) |

Returns the amount of time of inactivity before standby mode is invoked.

Returns
  The standby timeout value.

References ecore_x_dpms_timeouts_get().

unsigned int ecore_x_dpms_timeout_suspend_get | ( | void |  | ) |

Returns the amount of time of inactivity before the second level of power saving is invoked.

Returns
  The suspend timeout value.

References ecore_x_dpms_timeouts_get().

unsigned int ecore_x_dpms_timeout_off_get | ( | void |  | ) |

Returns the amount of time of inactivity before the third and final level of power saving is invoked.

Returns
  The off timeout value.

References ecore_x_dpms_timeouts_get().

void ecore_x_dpms_timeout_standby_set | ( | unsigned int | new_timeout | ) |

Sets the standby timeout (in unit of seconds).

Parameters

  new_timeout | Amount of time of inactivity before standby mode will be invoked.

References ecore_x_dpms_timeouts_get(), and ecore_x_dpms_timeouts_set().

void ecore_x_dpms_timeout_suspend_set | ( | unsigned int | new_timeout | ) |

Sets the suspend timeout (in unit of seconds).

Parameters

  new_timeout | Amount of time of inactivity before the screen is placed into suspend mode.

References ecore_x_dpms_timeouts_get(), and ecore_x_dpms_timeouts_set().

void ecore_x_dpms_timeout_off_set | ( | unsigned int | new_timeout | ) |

Sets the off timeout (in unit of seconds).

Parameters

  new_timeout | Amount of time of inactivity before the monitor is shut off.

References ecore_x_dpms_timeouts_get(), and ecore_x_dpms_timeouts_set().